JIoEndpoint.WorkerStack (Tomcat API Documentation)
Keywords: org.apache.tomcat.util.net.JIoEndpoint.WorkerStack class

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.tomcat.util.net
Class JIoEndpoint.WorkerStack

    java.lang.Object
      org.apache.tomcat.util.net.JIoEndpoint.WorkerStack

Enclosing class:
  JIoEndpoint

    public class JIoEndpoint.WorkerStack

extends java.lang.Object

Field Summary
`protected int` | `end`
`protected JIoEndpoint.Worker[]` | `workers`

Constructor Summary
`JIoEndpoint.WorkerStack(int size)`

Method Summary
`boolean` | `isEmpty()` Is the queue empty?
`JIoEndpoint.Worker` | `peek()` Get the first object out of the queue, Return null if the queue is empty.
`JIoEndpoint.Worker` | `pop()` Get the first object out of the queue.
`void` | `push(JIoEndpoint.Worker worker)` Put the object into the queue.
`void` | `resize(int newSize)` Resize the queue.
`int` | `size()` How many elements are there in this queue?

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### workers

    protected JIoEndpoint.Worker[] workers

### end

    protected int end

Constructor Detail

### JIoEndpoint.WorkerStack

    public JIoEndpoint.WorkerStack(int size)

Method Detail

### push

    public void push(JIoEndpoint.Worker worker)

  Put the object into the queue. If the queue is full (for example if the queue has been reduced in size) the object will be dropped.

  Parameters:
    `object` - the object to be appended to the queue (first element).

### pop

    public JIoEndpoint.Worker pop()

  Get the first object out of the queue. Return null if the queue is empty.

### peek

    public JIoEndpoint.Worker peek()

  Get the first object out of the queue, Return null if the queue is empty.

### isEmpty

    public boolean isEmpty()

  Is the queue empty?

### size

    public int size()

  How many elements are there in this queue?

### resize

    public void resize(int newSize)

  Resize the queue. If there are too many objects in the queue for the new size, drop the excess.

  Parameters:
    `newSize` -

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2008 Apache Software Foundation. All Rights Reserved.